#!/usr/bin/env php
<?php

echo "
WHAT: Test dynamic ini value
";

$sInifile="configs/dynamic_values.ini";

echo "--- Content of ini file:\n"
    .preg_replace(
        "/.*(params.*\n)\n.*/s",
        "$1",
        file_get_contents($sInifile)
    )."\n"
    ;
$aIni=parse_ini_file($sInifile, 1);

echo "--- parsed ini value for the check:\n";
print_r($aIni["hello plugin"]['params']);
$sMessage=$aIni["hello plugin"]['params']['message']??false;
if($sMessage)
{
    if(strstr($sMessage, "\$\{")){
        _abort('in params -> message the variable $\{USER\} was not replaced');
    } else {
        _ok('in params -> message the variable $\{USER\} was replaced');
    }
} else {
    _abort("Message param was not found.");
}
